"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = firebaseAuthMiddleware;

var _logger = require("./util/logger");

var admin = require.main.require('firebase-admin');

function firebaseAuthMiddleware(req, res, next) {
  var authorization = req.header('Authorization');

  if (authorization) {
    var token = authorization.split(' ');
    admin.auth().verifyIdToken(token[1]).then(function (decodedToken) {
      (0, _logger.log)(decodedToken);
      res.locals.user = decodedToken;
      next();
    })["catch"](function (err) {
      (0, _logger.log)(err);
      res.sendStatus(401);
    });
  } else {
    (0, _logger.log)('Authorization header is not found');
    res.sendStatus(401);
  }
}